The Buying Settings object
Attributes
Unique identifier for the object.
ISO 8601 timestamp of when the object was created.
ISO 8601 timestamp of when the object was last updated.
Default: Supplier Name
Default: false
Default: false
Default: BOM
Default: Stop
Default: true
Default: false
Default: true
Default: false
Default: false
Default: 0
Default: false
Default: false
Default: Each Transaction
Default: false
Default: false
Default: false
Default: false
Default: false
{
"id": "buying-settings_abc123",
"created_at": "2024-01-15T09: 30: 00Z",
"updated_at": "2024-01-15T09: 30: 00Z",
"supp_master_name": "Supplier Name",
"supplier_group": "supplier_group_example",
"buying_price_list": "buying_price_list_example",
"po_required": "po_required_example",
"pr_required": "pr_required_example",
"maintain_same_rate": false,
"allow_multiple_items": false,
"backflush_raw_materials_of_subcontract_based_on": "BOM",
"over_transfer_allowance": 0,
"maintain_same_rate_action": "Stop",
"role_to_override_stop_action": "role_to_override_stop_action_example",
"bill_for_rejected_quantity_in_purchase_invoice": true,
"disable_last_purchase_rate": false,
"show_pay_button": true,
"set_landed_cost_based_on_purchase_invoice_rate": false,
"use_transaction_date_exchange_rate": false,
"blanket_order_allowance": 0,
"auto_create_subcontracting_order": false,
"auto_create_purchase_receipt": false,
"project_update_frequency": "Each Transaction",
"allow_zero_qty_in_purchase_order": false,
"allow_zero_qty_in_request_for_quotation": false,
"allow_zero_qty_in_supplier_quotation": false,
"set_valuation_rate_for_rejected_materials": false,
"fixed_email": "[email protected]",
"validate_consumed_qty": false
} /api/buying/buying-settings Retrieve buying settings
Retrieves the current buying settings. This is a singleton resource.
Returns
Returns the buying settings object.
curl https://api.overplane.dev/api/buying/buying-settings \
-H "Authorization: Bearer sk_test_..." {
"id": "buying-settings_abc123",
"created_at": "2024-01-15T09: 30: 00Z",
"updated_at": "2024-01-15T09: 30: 00Z",
"supp_master_name": "Supplier Name",
"supplier_group": "supplier_group_example",
"buying_price_list": "buying_price_list_example",
"po_required": "po_required_example",
"pr_required": "pr_required_example",
"maintain_same_rate": false,
"allow_multiple_items": false,
"backflush_raw_materials_of_subcontract_based_on": "BOM",
"over_transfer_allowance": 0,
"maintain_same_rate_action": "Stop",
"role_to_override_stop_action": "role_to_override_stop_action_example",
"bill_for_rejected_quantity_in_purchase_invoice": true,
"disable_last_purchase_rate": false,
"show_pay_button": true,
"set_landed_cost_based_on_purchase_invoice_rate": false,
"use_transaction_date_exchange_rate": false,
"blanket_order_allowance": 0,
"auto_create_subcontracting_order": false,
"auto_create_purchase_receipt": false,
"project_update_frequency": "Each Transaction",
"allow_zero_qty_in_purchase_order": false,
"allow_zero_qty_in_request_for_quotation": false,
"allow_zero_qty_in_supplier_quotation": false,
"set_valuation_rate_for_rejected_materials": false,
"fixed_email": "[email protected]",
"validate_consumed_qty": false
} /api/buying/buying-settings/{id} Update a buying settings
Updates the specified buying settings by setting the values of the parameters passed. Any parameters not provided will be left unchanged.
Path parameters
The identifier of the buying settings to update.
Body parameters
Default: Supplier Name
Default: false
Default: false
Default: BOM
Default: Stop
Default: true
Default: false
Default: true
Default: false
Default: false
Default: 0
Default: false
Default: false
Default: Each Transaction
Default: false
Default: false
Default: false
Default: false
Default: false
Returns
Returns the updated buying settings object.
curl https://api.overplane.dev/api/buying/buying-settings/buying-settings_abc123 \
-H "Authorization: Bearer sk_test_..." \
-X PATCH \
-H "Content-Type: application/json" \
-d '{"supp_master_name":"Supplier Name","supplier_group":"supplier_group_example"}' {
"id": "buying-settings_abc123",
"created_at": "2024-01-15T09: 30: 00Z",
"updated_at": "2024-01-15T09: 30: 00Z",
"supp_master_name": "Supplier Name",
"supplier_group": "supplier_group_example",
"buying_price_list": "buying_price_list_example",
"po_required": "po_required_example",
"pr_required": "pr_required_example",
"maintain_same_rate": false,
"allow_multiple_items": false,
"backflush_raw_materials_of_subcontract_based_on": "BOM",
"over_transfer_allowance": 0,
"maintain_same_rate_action": "Stop",
"role_to_override_stop_action": "role_to_override_stop_action_example",
"bill_for_rejected_quantity_in_purchase_invoice": true,
"disable_last_purchase_rate": false,
"show_pay_button": true,
"set_landed_cost_based_on_purchase_invoice_rate": false,
"use_transaction_date_exchange_rate": false,
"blanket_order_allowance": 0,
"auto_create_subcontracting_order": false,
"auto_create_purchase_receipt": false,
"project_update_frequency": "Each Transaction",
"allow_zero_qty_in_purchase_order": false,
"allow_zero_qty_in_request_for_quotation": false,
"allow_zero_qty_in_supplier_quotation": false,
"set_valuation_rate_for_rejected_materials": false,
"fixed_email": "[email protected]",
"validate_consumed_qty": false
}